org.apache.flume.channel.file.proto

## Interface ProtosFactory.TakeOrBuilder

- All Superinterfaces:
    com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder
  All Known Implementing Classes:
    ProtosFactory.Take, ProtosFactory.Take.Builder
  Enclosing class:
    ProtosFactory

      public static interface ProtosFactory.TakeOrBuilder
      extends com.google.protobuf.MessageOrBuilder

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getFileID()` `required sfixed32 fileID = 1;`
    `int` | `getOffset()` `required sfixed32 offset = 2;`
    `boolean` | `hasFileID()` `required sfixed32 fileID = 1;`
    `boolean` | `hasOffset()` `required sfixed32 offset = 2;`

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField`

    - ### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

      `isInitialized`

- - ### Method Detail

    - #### hasFileID

          boolean hasFileID()

      `required sfixed32 fileID = 1;`

    - #### getFileID

          int getFileID()

      `required sfixed32 fileID = 1;`

    - #### hasOffset

          boolean hasOffset()

      `required sfixed32 offset = 2;`

    - #### getOffset

          int getOffset()

      `required sfixed32 offset = 2;`

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.